Kerbal Space Program - Bug #24733

Extended landing gear does not block hatch for EVA...
01/25/2020 04:39 AM - abc
Description

To repeat:

1) Place Mobile Processing Lab MPL-LG-2 in VAB

2) Place any Landing Gear on the default hatch (left side from default VAB view)
-> the Engineer's Report notes the hatch is blocked except for the smallest landing gear

3) Launch with a kerbal inside and click EVA
-> the kerbal appears in or overlaping the landing gear

Workaround: Rotate the Mobile Processing Lab so that the covered hatch is not the one used by default. The side without the flag is
the default hatch.

If the landing gear is retracted the hatch is blocked and the other hatch used.

| hadn't noticed before but it seems that kerbals can normally walk through extended landing gear, at least in 1.8.1 (not sure if this is
a new thing?).

Since there is a workaround it is maybe not worth fixing, although it can be annoying to rotate the Mobile Processing Lab if this is
noticed after stuff is placed or to deal with the wrong hatch being used if it isn't noticed until after launch, so if it is an easy fix it would
be helpful. Another possibility would be a one hatch variant of the Mobile Processing Lab to make it more obvious which hatch will
be used (I don't think there is any other part where a second hatch could easily be blocked by landing gear).

History

#1 - 01/31/2020 09:09 AM - steve_v

abc wrote:

| hadn't noticed before but it seems that kerbals can normally walk through extended landing gear, at least in 1.8.1 (not sure if this is a new
thing?).

Removing collision detection between EVA kerbals and extended landing gear was the "fix" (scarequotes most assuredly intended) for

https://bugs.kerbalspaceprogram.com/issues/9638.
Unsurprisingly, it now comes back to haunt us...

#2 - 03/04/2020 09:02 PM - christy.theus
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 12/17/2020 08:40 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.11.0

- % Done changed from 10 to 80

We've made some changes to the game in this latest version and would like to have some feedback on this issue. Thanks.
https://bugs.kerbalspaceprogram.com/issues/9638

#5 - 12/18/2020 08:59 AM - abc
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Thanks! | see that if there is extended landing gear on both sides then EVA is still possible through one of them (flag side this time), but it is now
visually obvious that it shouldn't be possible to EVA in the cases where the Kerbal appears in the landing gear so the most surprising behavior is gone
and | think the bug should be considered resolved (I guess with the largest landing gear it seems visually possible for a Kerbal to get out that way in
some cases). The one slightly surprising behavior is that if there are landing gear on both sides but only the one on the non-flag side is extended
then it isn't possible to exit via the other, while it is if the flag side is extended and the other closed. However, having landing gear on both sides
seems like it should be so much less common that I'm guessing it isn't worth adjusting for. Similarly, if there is a solar panel on the flag side and
extended landing gear on the other side then it is not possible to EVA while it is if the solar panel is on the non-flag side. But since visually it doesn't
look like it should be possible to EVA in most cases | think the difference is unlikely to cause confusion in practice.
